Release Notes/0.9.8

From Davical
Jump to: navigation, search
(released 2009-10-25)

The focus of this release is to update the permissions model and add support for a number of DAV reports and extensions.

Prerequisites for Upgrade

Database Upgrade

This release includes significant database upgrades. You must run the update-davical-database script on upgrading to this release.

AWL Libraries

This release requires you to update to version 0.39 of the AWL libraries.

PostgreSQL Version

This version requires PostgreSQL 8.2 or later to be installed.

PHP Version

This version requires PHP 5.1 or later to be installed.

PDO libraries

From this version it is necessary to have the PDO libraries available in addition to the legacy psql libraries.

Functionality Changes

Bug Fixes

  • None in particular.

Other Changes

  • The new permissions model provides significantly better performance in some areas and should provide marginally better performance everywhere.
  • The handling of PROPFIND requests has been rewritten from scratch.
  • Some parts of the code are switched to use PDO for database access. This transition will continue through 0.9.8.

Availability

Currently in testing, and hoped to release around 23rd December 2009

Download links

Debian

The packages will work with earlier versions of Debian as long as recent versions of PostgreSQL & PHP are used.

Gentoo

An ebuild should be available in due course.

Source packages

RPM packages